Package org.apache.catalina.tribes.io

## Class BufferPool

- java.lang.Object
- - org.apache.catalina.tribes.io.BufferPool

-     public class BufferPool
      extends java.lang.Object

  Version:
    1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `BufferPool.BufferPoolAPI` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_POOL_SIZE` |
    `protected static BufferPool` | `instance` |
    `protected BufferPool.BufferPoolAPI` | `pool` |
    `protected static StringManager` | `sm` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `XByteBuffer` | `getBuffer​(int minSize, boolean discard)` |
    `static BufferPool` | `getBufferPool()` |
    `void` | `returnBuffer​(XByteBuffer buffer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POOL_SIZE

          public static final int DEFAULT_POOL_SIZE

      See Also:
        Constant Field Values

    - #### sm

          protected static final StringManager sm

    - #### instance

          protected static volatile BufferPool instance

    - #### pool

          protected final BufferPool.BufferPoolAPI pool

  - ### Method Detail

    - #### getBuffer

          public XByteBuffer getBuffer​(int minSize,
                                       boolean discard)

    - #### returnBuffer

          public void returnBuffer​(XByteBuffer buffer)

    - #### clear

          public void clear()

    - #### getBufferPool

          public static BufferPool getBufferPool()